<div class="front_page_section front_page_section_subscribe<?php
	$tooth_fairy_scheme = tooth_fairy_get_theme_option( 'front_page_subscribe_scheme' );
	if ( ! empty( $tooth_fairy_scheme ) && ! tooth_fairy_is_inherit( $tooth_fairy_scheme ) ) {
		echo ' scheme_' . esc_attr( $tooth_fairy_scheme );
	}
	echo ' front_page_section_paddings_' . esc_attr( tooth_fairy_get_theme_option( 'front_page_subscribe_paddings' ) );
	if ( tooth_fairy_get_theme_option( 'front_page_subscribe_stack' ) ) {
		echo ' sc_stack_section_on';
	}
?>"
		<?php
		$tooth_fairy_css      = '';
		$tooth_fairy_bg_image = tooth_fairy_get_theme_option( 'front_page_subscribe_bg_image' );
		if ( ! empty( $tooth_fairy_bg_image ) ) {
			$tooth_fairy_css .= 'background-image: url(' . esc_url( tooth_fairy_get_attachment_url( $tooth_fairy_bg_image ) ) . ');';
		}
		if ( ! empty( $tooth_fairy_css ) ) {
			echo ' style="' . esc_attr( $tooth_fairy_css ) . '"';
		}
		?>
>
<?php
	// Add anchor
	$tooth_fairy_anchor_icon = tooth_fairy_get_theme_option( 'front_page_subscribe_anchor_icon' );
	$tooth_fairy_anchor_text = tooth_fairy_get_theme_option( 'front_page_subscribe_anchor_text' );
if ( ( ! empty( $tooth_fairy_anchor_icon ) || ! empty( $tooth_fairy_anchor_text ) ) && shortcode_exists( 'trx_sc_anchor' ) ) {
	echo do_shortcode(
		'[trx_sc_anchor id="front_page_section_subscribe"'
									. ( ! empty( $tooth_fairy_anchor_icon ) ? ' icon="' . esc_attr( $tooth_fairy_anchor_icon ) . '"' : '' )
									. ( ! empty( $tooth_fairy_anchor_text ) ? ' title="' . esc_attr( $tooth_fairy_anchor_text ) . '"' : '' )
									. ']'
	);
}
?>
	<div class="front_page_section_inner front_page_section_subscribe_inner
	<?php
	if ( tooth_fairy_get_theme_option( 'front_page_subscribe_fullheight' ) ) {
		echo ' tooth-fairy-full-height sc_layouts_flex sc_layouts_columns_middle';
	}
	?>
			"
			<?php
			$tooth_fairy_css      = '';
			$tooth_fairy_bg_mask  = tooth_fairy_get_theme_option( 'front_page_subscribe_bg_mask' );
			$tooth_fairy_bg_color_type = tooth_fairy_get_theme_option( 'front_page_subscribe_bg_color_type' );
			if ( 'custom' == $tooth_fairy_bg_color_type ) {
				$tooth_fairy_bg_color = tooth_fairy_get_theme_option( 'front_page_subscribe_bg_color' );
			} elseif ( 'scheme_bg_color' == $tooth_fairy_bg_color_type ) {
				$tooth_fairy_bg_color = tooth_fairy_get_scheme_color( 'bg_color', $tooth_fairy_scheme );
			} else {
				$tooth_fairy_bg_color = '';
			}
			if ( ! empty( $tooth_fairy_bg_color ) && $tooth_fairy_bg_mask > 0 ) {
				$tooth_fairy_css .= 'background-color: ' . esc_attr(
					1 == $tooth_fairy_bg_mask ? $tooth_fairy_bg_color : tooth_fairy_hex2rgba( $tooth_fairy_bg_color, $tooth_fairy_bg_mask )
				) . ';';
			}
			if ( ! empty( $tooth_fairy_css ) ) {
				echo ' style="' . esc_attr( $tooth_fairy_css ) . '"';
			}
			?>
	>
		<div class="front_page_section_content_wrap front_page_section_subscribe_content_wrap content_wrap">
			<?php
			// Caption
			$tooth_fairy_caption = tooth_fairy_get_theme_option( 'front_page_subscribe_caption' );
			if ( ! empty( $tooth_fairy_caption ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				?>
				<h2 class="front_page_section_caption front_page_section_subscribe_caption front_page_block_<?php echo ! empty( $tooth_fairy_caption ) ? 'filled' : 'empty'; ?>"><?php echo wp_kses( $tooth_fairy_caption, 'tooth_fairy_kses_content' ); ?></h2>
				<?php
			}

			// Description (text)
			$tooth_fairy_description = tooth_fairy_get_theme_option( 'front_page_subscribe_description' );
			if ( ! empty( $tooth_fairy_description ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				?>
				<div class="front_page_section_description front_page_section_subscribe_description front_page_block_<?php echo ! empty( $tooth_fairy_description ) ? 'filled' : 'empty'; ?>"><?php echo wp_kses( wpautop( $tooth_fairy_description ), 'tooth_fairy_kses_content' ); ?></div>
				<?php
			}

			// Content
			$tooth_fairy_sc = tooth_fairy_get_theme_option( 'front_page_subscribe_shortcode' );
			if ( ! empty( $tooth_fairy_sc ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				?>
				<div class="front_page_section_output front_page_section_subscribe_output front_page_block_<?php echo ! empty( $tooth_fairy_sc ) ? 'filled' : 'empty'; ?>">
				<?php
					tooth_fairy_show_layout( do_shortcode( $tooth_fairy_sc ) );
				?>
				</div>
				<?php
			}
			?>
		</div>
	</div>
</div>
